import 'package:example/tabs/bouncing_grid_circle_tab.dart';
import 'package:example/tabs/bouncing_grid_square_tab.dart';
import 'package:example/tabs/double_flipping_circle_tab.dart';
import 'package:example/tabs/double_flipping_square_tab.dart';
import 'package:example/tabs/filling_square_tab.dart';
import 'package:example/tabs/rotating_square_tab.dart';
import 'package:flutter/material.dart';

import 'package:loading_animations/loading_animations.dart';
import 'package:example/tabs/flipping_circle_tab.dart';
import 'package:example/tabs/flipping_square_tab.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Loading Animations',
      theme: ThemeData(
        primarySwatch: Colors.blueGrey,
      ),
      home: DefaultTabController(
        length: 8,
        child: Scaffold(
            appBar: AppBar(
              centerTitle: true,
              bottom: PreferredSize(
                preferredSize: Size.fromHeight(0.0),
                child: TabBar(
                  isScrollable: true,
                  indicatorColor: Colors.white,
                  tabs: <Widget>[
                    Tab(
                      child: LoadingFlipping.circle(
                        size: 30,
                        borderColor: Colors.white,
                      ),
                    ),
                    Tab(
                      child: LoadingFlipping.square(
                        size: 30,
                        borderColor: Colors.white,
                      ),
                    ),
                    Tab(
                      child: LoadingRotating.square(
                        size: 30,
                        borderColor: Colors.white,
                      ),
                    ),
                    Tab(
                      child: LoadingFilling.square(
                        size: 30,
                        borderColor: Colors.white,
                        fillingColor: Colors.white70,
                      ),
                    ),
                    Tab(
                      child: LoadingDoubleFlipping.circle(
                        size: 30,
                        backgroundColor: Colors.white,
                      ),
                    ),
                    Tab(
                      child: LoadingDoubleFlipping.square(
                        size: 30,
                        backgroundColor: Colors.white,
                      ),
                    ),
                    Tab(
                      child: LoadingBouncingGrid.circle(
                        size: 30,
                        backgroundColor: Colors.white,
                      ),
                    ),
                    Tab(
                      child: LoadingBouncingGrid.square(
                        size: 30,
                        backgroundColor: Colors.white,
                      ),
                    ),
                  ],
                ),
              ),
            ),
            body: TabBarView(
              children: <Widget>[
                FlippingCircleExample(),
                FlippingSquareExample(),
                RotatingSquareExample(),
                FillingSquareExample(),
                DoubleFlippingCircleExample(),
                DoubleFlippingSquareExample(),
                BouncingGridCircleExample(),
                BouncingGridSquareExample(),
              ],
            )),
      ),
    );
  }
}
